Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.raw
Class Nat576

    java.lang.Object
      org.bouncycastle.math.raw.Nat576

public abstract class Nat576
extends java.lang.Object

Constructor Summary
`Nat576()`

Method Summary
`static void` | `copy64(long[] x, int xOff, long[] z, int zOff)`
`static void` | `copy64(long[] x, long[] z)`
`static long[]` | `create64()`
`static long[]` | `createExt64()`
`static boolean` | `eq64(long[] x, long[] y)`
`static long[]` | `fromBigInteger64(java.math.BigInteger x)`
`static boolean` | `isOne64(long[] x)`
`static boolean` | `isZero64(long[] x)`
`static java.math.BigInteger` | `toBigInteger64(long[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nat576

    public Nat576()

Method Detail

### copy64

    public static void copy64(long[] x,
                              long[] z)

### copy64

    public static void copy64(long[] x,
                              int xOff,
                              long[] z,
                              int zOff)

### create64

    public static long[] create64()

### createExt64

    public static long[] createExt64()

### eq64

    public static boolean eq64(long[] x,
                               long[] y)

### fromBigInteger64

    public static long[] fromBigInteger64(java.math.BigInteger x)

### isOne64

    public static boolean isOne64(long[] x)

### isZero64

    public static boolean isZero64(long[] x)

### toBigInteger64

    public static java.math.BigInteger toBigInteger64(long[] x)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD